nand_write_page
Prev | Chapter 11. Internal Functions Provided | Next

## Name

nand_write_page — [REPLACEABLE] write one page

## Synopsis

`int nand_write_page (` | struct mtd_info * | mtd,
| struct nand_chip * | chip,
| const uint8_t * | buf,
| int | page,
| int | cached,
| int | raw`)`;

## Arguments

`mtd`

  MTD device structure

`chip`

  NAND chip descriptor

`buf`

  the data to write

`page`

  page number to write

`cached`

  cached programming

`raw`

  use _raw version of write_page

Prev | Up | Next
nand_write_page_syndrome | Home | nand_fill_oob